Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

Info
titleUsing LAMS 3.1


You must use MySQL 8

Download MySQL 8

Important mysql settings in my.cfg/my.ini:

No Format
[mysqld] 

## LAMS additions

explicit_defaults_for_timestamp
character-set-server = utf8mb4
collation-server = utf8mb4_unicode_ci
transaction-isolation=READ-COMMITTED
sql-mode="STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION"
interactive_timeout = 300
wait_timeout = 300
innodb_file_per_table = 1
max_allowed_packet=32M

[mysqldump]
default-character-set=utf8mb4
hex-blob=1
single-transaction=1
quick=1

Create DB and db user

(default settings, please change)

No Format

mysql> CREATE DATABASE lams DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
mysql> CREATE USER 'lams'@'localhost' IDENTIFIED BY 'lamsdemo'; 
mysql> GRANT ALL PRIVILEGES ON lams_nus3.* TO 'lams'@'localhost';
mysql> FLUSH PRIVILEGES;

LAMS 2.5 and 3.0

Warning
titleUsing LAMS 2.5+ on WildFly?


You must use MySQL 5.7.10+

...